Bug 1464419 - tcmu-runner: fix fd leak
tcmu-runner: fix fd leak
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tcmu-runner (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.3.0
Assigned To: Prasanna Kumar Kalever
Sweta Anandpara
Depends On:
Blocks: 1417151
  Show dependency treegraph
Reported: 2017-06-23 07:52 EDT by Prasanna Kumar Kalever
Modified: 2017-09-21 00:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: tcmu-runner-1.2.0-7.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-09-21 00:20:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Prasanna Kumar Kalever 2017-06-23 07:52:05 EDT
Description of problem:
fixup fd leakage in libtcmu_config.c
Comment 8 Sweta Anandpara 2017-07-14 02:15:19 EDT
Prasanna, Please refer comment7.
Comment 12 Sweta Anandpara 2017-07-17 03:37:58 EDT
Setting the need-info, looks like it was missed in comment 10/11.
Comment 14 Sweta Anandpara 2017-07-28 04:46:15 EDT
Tested and verified this on the build glusterfs-3.8.4-33 and gluster-block-0.2.1-6. Checked for any open FDs in /proc/<tcmu-runner-pid>/fd/ and I see only log files mentioned there.

Based on comment 7, 10, 11 and 13, moving this bug to (conditionally) verified.
Comment 17 errata-xmlrpc 2017-09-21 00:20:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.